## view.page
Class EditTournamentPage.TournamentForm

    java.lang.Object
      view.xhtml.HtmlObject
          view.xhtml.HtmlElement
              view.xhtml.ContainerElement
                  view.xhtml.Form
                      view.xhtml.PostForm
                          view.element.GoForm
                              view.page.EditTournamentPage.TournamentForm

Enclosing class:
  EditTournamentPage

    private final class EditTournamentPage.TournamentForm

extends GoForm

A class for the tournament creation/editing form.

Nested Class Summary

Nested classes/interfaces inherited from class view.xhtml.Form
`Form.SendMethod`

Constructor Summary
`private` `EditTournamentPage.TournamentForm(Tournament tournament)` Constructs the element.

Method Summary

Methods inherited from class view.xhtml.ContainerElement
`add, add, getHtml, getHtml`

Methods inherited from class view.xhtml.HtmlElement
`getCloseTag, getCloseTag, getStartTag, getStartTag, setAttribute, setClass, setId, setName`

Methods inherited from class view.xhtml.HtmlObject
`getHtml, getIndent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EditTournamentPage.TournamentForm

    private EditTournamentPage.TournamentForm(Tournament tournament)

  Constructs the element.

  Parameters:
    `tournament` - the tournament to edit with the form. if null, the form will create a new tournament.